xen/tmp-initscript-modprobe.patch
Charles Arnold 3f55414718 - Update to Xen 4.1.3 c/s 23336
- Upstream or pending upstream patches from Jan
  25587-fix-off-by-one-parsing-error.patch
  25616-x86-MCi_CTL-default.patch
  25617-vtd-qinval-addr.patch
  25688-x86-nr_irqs_gsi.patch
- bnc#773393 - VUL-0: CVE-2012-3433: xen: HVM guest destroy p2m
  teardown host DoS vulnerability
  CVE-2012-3433-xsa11.patch
- bnc#773401 - VUL-1: CVE-2012-3432: xen: HVM guest user mode MMIO
  emulation DoS
  25682-x86-inconsistent-io-state.patch

- bnc#762484 - VUL-1: CVE-2012-2625: xen: pv bootloader doesn't
  check the size of the bzip2 or lzma compressed kernel, leading to
  denial of service
  25589-pygrub-size-limits.patch

- Make it build with latest TeXLive 2012 with new package layout

OBS-URL: https://build.opensuse.org/package/show/Virtualization/xen?expand=0&rev=196
2012-08-10 21:38:41 +00:00

26 lines
1.0 KiB
Diff

Index: xen-4.1.3-testing/tools/hotplug/Linux/init.d/xencommons
===================================================================
--- xen-4.1.3-testing.orig/tools/hotplug/Linux/init.d/xencommons
+++ xen-4.1.3-testing/tools/hotplug/Linux/init.d/xencommons
@@ -62,6 +62,20 @@ do_start () {
modprobe evtchn 2>/dev/null
modprobe gntdev 2>/dev/null
+ # Load XEN backend modules
+ # NB: They could be loaded later, e.g. when dom0 hotplug events occur,
+ # but for now it's safest to have them loaded here.
+ modprobe evtchn 2>/dev/null || true
+ modprobe gntdev 2>/dev/null || true
+ modprobe blktap 2>/dev/null || true
+ modprobe blkbk 2>/dev/null || true
+ modprobe netbk 2>/dev/null || true
+ modprobe usbbk 2>/dev/null || true
+ # xenblk (frontend module) is needed in dom0, allowing it to use vbds
+ modprobe xenblk 2>/dev/null || true
+ # support xl create pv guest with qcow/qcow2 disk image
+ modprobe nbd max_part=8 2>/dev/null || true
+
if ! `xenstore-read -s / >/dev/null 2>&1`
then
test -z "$XENSTORED_ROOTDIR" && XENSTORED_ROOTDIR="/var/lib/xenstored"